function f = shSampleRKHS( verts, sh_coeffs, num_sh_bands)
%
% f = shSampleRKHS( verts, gamma, num_sh_band)
%
% @param  verts  Set of sampling for the reproducing kernel Hilbert Space.
% @param  sh_coeffs  Spherical Harmonics basis function coefficients for the
%                    input signal f.
% @param  num_sh_bands  Number of SH bands used in the representation for f.

  f = zeros( size( verts, 1), size(sh_coeffs,1));

  for( i = 1 : size( verts, 1))
    f(i,:) = shEvalFunction( sh_coeffs, num_sh_bands, verts(i,:))';
  end
    
end
